Bug 7810 - All ispell-NON-ENGLISH-3.1.20-22 packages are broken
All ispell-NON-ENGLISH-3.1.20-22 packages are broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: ispell (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-15 03:03 EST by grtodd
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-10 11:25:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description grtodd 1999-12-15 03:03:55 EST
Various ispell-LANGUAGE-3.1.20-22 packages broken and will not build with
supplied src.rpm package.  The required

To see a list of all the improperly built packages simply mount the CD on
/mnt/cdrom and do:

for i in `/bin/ls /mnt/cdrom/RedHat/RPMS/ispell-[a-z]*`; do rpm -Vp $i
;done

Or after rebuilding the src.rpms:

for i in `/bin/ls /usr/src/redhat/RPMS/i386/ispell-[a-z]*`; do rpm -Vp $i
;done

The spec file and build/Makefile system are preventing non-english
(american and british) .hash and .aff files from being built. However all
the non-Englis dictionaries are included in the source.

Please fix.
Comment 1 grtodd 1999-12-15 03:08:59 EST
See also bug #4960 - perhaps other hash files (eg. the medical terms?) aren't
being built.
Comment 2 grtodd 1999-12-15 21:33:59 EST
Looked at this again quickly - running the build in the source tree and adding
{languages} to LANGUAGE in local.h seems to work (all the *.aff and *.hash files
get built and installed), but building using the ispell.spec breaks something.
Perhaps %_install_langs or LINGUAS or LANG can fix this?

The build process aside the main issue is that all the current distributed
non-english ispell packages are non-functional (those on my CD and at mirror
sites that I checked).

BTW just for clarity, the rpm -Vp commands show the missing files if you run
them against the package files *after* you have them installed. When this is
done they will list the missing files.

Note You need to log in before you can comment on or make changes to this bug.